Last modified: 2012-04-19 21:43:00 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21501 - Insert Links : Link text display
Insert Links : Link text display
Status: CLOSED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
All All
: Lowest minor (vote)
: ---
Assigned To: Roan Kattouw
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-11-13 08:36 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Wiki_r58971_2009-11-13_Link (59.62 KB, application/pdf)
2009-11-13 08:36 UTC, Calcey QA
Details

Description Calcey QA 2009-11-13 08:36:10 UTC
Created attachment 6779 [details]
Wiki_r58971_2009-11-13_Link

Reporting against Babaco Release : r58971

Steps to Reproduce ::

1) Select a random page
2) Edit a section
3) Insert a link without link text
4) Highlight the link and click on link again
<<Link text shown>>


Expected Outcome::
Always it should be the original which user entered. If the user not entered the link text, on a return it should display the same


Test Environment::
All environments
Comment 1 Naoko Komura 2009-11-14 16:59:48 UTC
As the wiki links work in a way that page titles become links, it is fine to pre-fill the text even the text was not inserted originally.  

However, please remove the separator line from the double brackets -> [[Example|]], when the text for wiki link is not provided.
Comment 2 Roan Kattouw 2009-11-14 17:51:15 UTC
(In reply to comment #1)
> As the wiki links work in a way that page titles become links, it is fine to
> pre-fill the text even the text was not inserted originally.  
> 
I guess that makes the bug as originially filed WONTFIX.

> However, please remove the separator line from the double brackets ->
> [[Example|]], when the text for wiki link is not provided.
> 
[[Example]] and [[Example|]] are not necessarily equivalent: [[The Bay (radio station)|]] and [[Winnipeg, Manitoba|]] expand to [[The Bay (radio station)|The Bay]] and [[Winnipeg, Manitoba|Winnipeg]] respectively (the so-called pipe trick). I could of course look at the logic used for the pipe trick and see if it's simple enough to use in the dialog, so highlighting [[Winnipeg, Manitoba|]] would fill out Winnipeg in the Link text field.
Comment 3 Roan Kattouw 2010-01-27 15:32:44 UTC
Closing this as WONTFIX per comments #1 and #2. Feel free to REOPEN if you have a clear and specific enhancement request.
Comment 4 Calcey QA 2010-03-12 09:50:40 UTC
Closed as per given comments

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links